import 'dart:ui' as d show Color;
import 'package:particle_ui/particle.dart';

class Color implements Fill {
  final String rgb;
  final Opacity opacity;

  const Color(this.rgb, {this.opacity = const Opacity(1.0)}) : assert(rgb != null), assert(rgb != ''), assert(rgb.length == 6);

  d.Color to32BitARGBColor() {
    return d.Color(int.parse('0x' + (opacity.value * 255).toInt().toRadixString(16).padLeft(2, '0') + rgb));
  }

  double getLuminance() {
    return to32BitARGBColor().computeLuminance();
  }
}

class Colors {
  static const Color white = Color('FFFFFF');
  static const Color black = Color('000000');
}